# SIMREF  Version 2.6 (15-Jan-1999)
# csh shell script

# Harald Ritter, J. Ihringer
# Institut fuer Kristallographie
# der Universitaet Tuebingen
# Charlottenstrasse 33
# Germany
# Tel: +49(0)7071/29-76389
# E-mail: harald.ritter@uni-tuebingen.de

#/bin/csh

echo 'This is SIMREF 2.6 (1999)'

# Eingabe ueberpruefen:

set jobtyp = r
if($#argv > 2 || $#argv < 1) then
  echo 'Usage: simref [-option] filename'
  echo ' -r  Rietveld refinement (default)'
  echo ' -m  Filmlift data refinement'
  exit
else if($#argv == 2) then
  switch($argv[1])
    case '-r':
       breaksw
    case '-m':
       set jobtyp = m
       breaksw
    default:
       echo 'simref: illegal option'
       exit
  endsw
  set inpfile = $2
else
  set inpfile = $1
endif

# Input-filename testen:

if !(-e $inpfile) then
   echo simref: cannot open input file $inpfile
   exit
endif

set DAT = sim.dat
set filename = $inpfile:r

# SIMREF 2.6 starten:
switch($jobtyp)
  case 'm':
      @ i=0
      foreach datfile (*.duo)
         @ i+=1
         echo "          "
         echo "  Data set" $i : $datfile
         cp $datfile $DAT  
         echo $inpfile | simref26
         echo "  Writing on file" $filename".met"
         echo $inpfile | mettab
         mv $filename".cyc" $filename$i".cyc"
      end
      rm -f $DAT
      breaksw
  case 'r':
      echo $inpfile | simref26
endsw    

